<nz-card class="main-init-line-card">
    <form [formGroup]="criteriaForm" nz-form>
        <div nz-row>
            <div nz-col nzSpan="12" class="main-init-line-card__left">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__left__label">Tên tiêu chí
                    </span>
                    <p class="required">*</p>
                </div>
                <nz-form-item>
                    <nz-form-control [nzErrorTip]="getErrorMessageForm(criteriaForm.controls.value)">
                        <input nz-input class="main-init-line-card__center__input" placeholder="Nhập tên tiêu chí" [autoFocus]='true'
                            formControlName="value" *ngIf="!view" />
                        <span *ngIf="view">{{criteriaForm.value.value}}</span>
                    </nz-form-control>
                </nz-form-item>
            </div>
            <div nz-col nzSpan="12" class="main-init-line-card__center">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__center__label">Tình trạng tiêu chí</span>
                    <p class="required">*</p>
                </div>
                <nz-form-item>
                    <nz-form-control nzErrorTip="Vui lòng chọn tiêu chí">
                        <nz-select *ngIf="!view" class="main-init-line-card__left__select" nzPlaceHolder="Chọn tiêu chí"
                            formControlName="flagStatus" [nzDisabled]="!id">
                            <nz-option [nzValue]="0" nzLabel="Không sử dụng"></nz-option>
                            <nz-option [nzValue]="1" nzLabel="Sử dụng"></nz-option>
                        </nz-select>
                        <span *ngIf="view">{{criteriaForm.value.flagStatus ? 'Sử dụng' : 'Không sử dụng'}}</span>
                    </nz-form-control>
                </nz-form-item>
            </div>
        </div>
        <div nz-row formArrayName="attributeName" class="jd-table">
            <div nz-col nzSpan="24" class="main-init-line-card__left">
                <div class="title-input">
                    <span nz-typography class="main-init-line-card__center__label">Khai báo thuộc tính</span>
                    <p class="required">*</p>
                </div>
                <nz-table #basicTable [nzData]="jobDataTable.length ? jobDataTable : []" [nzFrontPagination]="false"
                    nzTableLayout="fixed"
                    [nzShowPagination]="false">
                    <thead>
                        <tr>
                            <th id="th1" class="jd-table__label" style="border-top-left-radius: 8px;" nzWidth="5em" nzLeft>STT</th>
                            <th id="th2" class="jd-table__label">Thuộc tính</th>
                            <th id="th3" class="jd-table__label">Tình trạng thuộc tính</th>
                            <th id="th4" class="jd-table__label" nzWidth="7em" nzRight style="border-top-right-radius: 8px;"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of jobDataTable; let i = index">
                            <td nzLeft>{{i + 1}}</td>
                            <td class="wrap-text">
                                <nz-form-item *ngIf="!view">
                                    <nz-form-control [nzValidateStatus]="''" [nzErrorTip]="getErrorMessage(i)">
                                        <input nz-input class="main-init-line-card__center__input"
                                            placeholder="Nhập thuộc tính" [formControlName]="i" />
                                    </nz-form-control>
                                </nz-form-item>
                                <ng-container *ngIf="view">{{item.meaning}}</ng-container>
                            <td class="wrap-text">
                                <nz-select class="jd-table__select" nzPlaceHolder="Chọn" [nzSuffixIcon]="'caret-down'"
                                    [(ngModel)]="item.flagStatus" [ngModelOptions]="{standalone: true}"
                                    [nzDisabled]="!id" *ngIf="!view">
                                    <nz-option [nzValue]="0" nzLabel="Không sử dụng"></nz-option>
                                    <nz-option [nzValue]="1" nzLabel="Sử dụng"></nz-option>
                                </nz-select>
                                <ng-container *ngIf="view">
                                    {{item.flagStatus ? 'Sử dụng' : 'Không sử dụng'}}
                                </ng-container>
                            </td>
                            <td nzRight>
                                <div class="jd-table__action">
                                    <button *ngIf="!view" nz-button nzType="default" class="jd-table__action--button"
                                        (click)="showDelete(i)">
                                        <img src="assets/images/icon/project-delete.svg" alt="">
                                    </button>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td *ngIf="!view" colspan="4" (click)="addCriteria()">
                                <div class="jd-table__plus">
                                    <em nz-icon nzType="plus" nzTheme="outline" class="jd-table__plus--button"></em>
                                    <span class="jd-table__plus--button">Thêm dòng mới</span>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>
        </div>
    </form>
    <div class="main-init-line-card__footer">
        <mb-button *ngIf="!view" (click)="closeModal()" [mbIsDisable]='disable'
                   mbButtonText="{{'common.button.cancel' | translate}}" mbButtonAvailableStyle="BtnCancelHasBorder">
        </mb-button>
        <mb-button *ngIf="!view" mbButtonType="NO_BORDER" (click)="validateRequest()" [mbIsDisable]='disable' mbButtonSize="LARGE"
                   mbButtonText="{{'common.button.saveS' | translate}}" mbButtonAvailableStyle="PRIMARY">
        </mb-button>
    </div>

</nz-card>
